/* SPDX-License-Identifier: GPL-2.0 */
/*
 * IMG PVDEC CORE Registers
 *
 * Copyright (c) Imagination Technologies Ltd.
 * Copyright (c) 2018 Texas Instruments Incorporated - http://www.ti.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation version 2.
 *
 * This program is distributed "as is" WITHOUT ANY WARRANTY of any
 * kind, whether express or implied; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _IMG_PVDEC_CORE_REGS_H
#define _IMG_PVDEC_CORE_REGS_H

#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_OFFSET		(0x0000)

/* PVDEC_CORE, CR_PVDEC_SOFT_RESET, CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET */
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_PIXEL_PROCESSING_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_SOFT_RESET, CR_PVDEC_ENTROPY_SOFT_RESET */
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_ENTROPY_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_SOFT_RESET, CR_PVDEC_MMU_SOFT_RESET */
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_MASK		(0x00000002)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_SHIFT		(1)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_MMU_SOFT_RESET_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_SOFT_RESET, CR_PVDEC_SOFT_RESET */
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_MASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_SOFT_RESET_CR_PVDEC_SOFT_RESET_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_OFFSET		(0x0010)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_SYS_WDT */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_MASK		(0x10000000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_SHIFT		(28)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_SYS_WDT_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_READ_TIMEOUT_PROC_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_MASK		(0x08000000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_SHIFT		(27)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS,
 * CR_HOST_COMMAND_TIMEOUT_PROC_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_MASK		(0x04000000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_SHIFT		(26)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_READ_TIMEOUT_HOST_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_MASK		(0x02000000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_SHIFT		(25)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_READ_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS,
 * CR_HOST_COMMAND_TIMEOUT_HOST_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_MASK		(0x01000000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_COMMAND_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_PROC_GPIO_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_MASK		(0x00200000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_SHIFT		(21)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_GPIO_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_PROC_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_MASK		(0x00100000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_SHIFT		(20)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PROC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_MMU_FAULT_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_MASK		(0x00010000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_MMU_FAULT_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_PIXEL_PROCESSING_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_PIXEL_PROCESSING_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_STATUS, CR_HOST_ENTROPY_PIPE_IRQ */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_STATUS_CR_HOST_ENTROPY_PIPE_IRQ_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_OFFSET		(0x0014)

/* PVDEC_CORE, CR_PVDEC_INTERRUPT_CLEAR, CR_IRQ_CLEAR */
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_MASK		(0xFFFF0000)
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_INTERRUPT_CLEAR_CR_IRQ_CLEAR_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_OFFSET		(0x0018)

/* PVDEC_CORE, CR_PVDEC_HOST_INTERRUPT_ENABLE, CR_HOST_IRQ_ENABLE */
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_MASK		(0xFFFF0000)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_INTERRUPT_ENABLE_CR_HOST_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_OFFSET		(0x0020)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_SYS_WDT */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_MASK		(0x10000000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_SHIFT		(28)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_SYS_WDT_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS,
 * CR_PROC1_READ_TIMEOUT_PROC_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_MASK		(0x08000000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_SHIFT		(27)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS,
 * CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_MASK		(0x04000000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_SHIFT		(26)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS,
 * CR_PROC1_READ_TIMEOUT_HOST_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_MASK		(0x02000000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_SHIFT		(25)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_READ_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS,
 * CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_MASK		(0x01000000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_COMMAND_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_PROC_GPIO_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_MASK		(0x00200000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_SHIFT		(21)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_GPIO_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_PROC_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_MASK		(0x00100000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_SHIFT		(20)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PROC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_MMU_FAULT_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_MASK		(0x00010000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_MMU_FAULT_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_PIXEL_PROCESSING_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_PIXEL_PROCESSING_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_STATUS, CR_PROC1_ENTROPY_PIPE_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_STATUS_CR_PROC1_ENTROPY_PIPE_IRQ_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_OFFSET		(0x0028)

/* PVDEC_CORE, CR_PVDEC_PROC1_INTERRUPT_ENABLE, CR_PROC1_IRQ_ENABLE */
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_MASK		(0xFFFF0000)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC1_INTERRUPT_ENABLE_CR_PROC1_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_OFFSET		(0x0030)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_SYS_WDT */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_MASK		(0x10000000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_SHIFT		(28)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_SYS_WDT_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_READ_TIMEOUT_PROC_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_MASK		(0x08000000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_SHIFT		(27)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS,
 * CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_MASK		(0x04000000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_SHIFT		(26)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_PROC_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS,
 * CR_PROC2_READ_TIMEOUT_HOST_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_MASK		(0x02000000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_SHIFT		(25)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_READ_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/*
 * PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS,
 * CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ
 */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_MASK		(0x01000000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_COMMAND_TIMEOUT_HOST_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_PROC_GPIO_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_MASK		(0x00200000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_SHIFT		(21)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_GPIO_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_PROC_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_MASK		(0x00100000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_SHIFT		(20)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PROC_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_MMU_FAULT_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_MASK		(0x00010000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_MMU_FAULT_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_PIXEL_PROCESSING_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_PIXEL_PROCESSING_IRQ_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_STATUS, CR_PROC2_ENTROPY_PIPE_IRQ */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_STATUS_CR_PROC2_ENTROPY_PIPE_IRQ_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_OFFSET		(0x0038)

/* PVDEC_CORE, CR_PVDEC_PROC2_INTERRUPT_ENABLE, CR_PROC2_IRQ_ENABLE */
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_MASK		(0xFFFF0000)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC2_INTERRUPT_ENABLE_CR_PROC2_IRQ_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_OFFSET		(0x0040)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_PIXEL_PROCESSING_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PIXEL_PROCESSING_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_ENTROPY_PIPE_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_ENTROPY_PIPE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_MEM_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_MASK		(0x00000100)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_MEM_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_PVDEC_REG_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_MASK		(0x00000010)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_SHIFT		(4)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PVDEC_REG_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_PROC_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_MASK		(0x00000002)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_SHIFT		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_PROC_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_MAN_CLK_ENABLE, CR_CORE_MAN_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_MASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_MAN_CLK_ENABLE_CR_CORE_MAN_CLK_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_OFFSET		(0x0044)

/* PVDEC_CORE, CR_PVDEC_AUTO_CLK_ENABLE, CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_DEFAULT		(255)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PIXEL_PROCESSING_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_AUTO_CLK_ENABLE, CR_ENTROPY_PIPE_AUTO_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_DEFAULT		(255)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_ENTROPY_PIPE_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_AUTO_CLK_ENABLE, CR_MEM_AUTO_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_MASK		(0x00000100)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_MEM_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_AUTO_CLK_ENABLE, CR_PVDEC_REG_AUTO_CLK_ENABLE */
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_MASK		(0x00000010)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_SHIFT		(4)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_AUTO_CLK_ENABLE_CR_PVDEC_REG_AUTO_CLK_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_OFFSET		(0x004C)

/* PVDEC_CORE, CR_PVDEC_CLK_STATUS, CR_PIXEL_PROCESSING_CLK_STATUS */
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PIXEL_PROCESSING_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CLK_STATUS, CR_ENTROPY_PIPE_CLK_STATUS */
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_ENTROPY_PIPE_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CLK_STATUS, CR_MEM_CLK_STATUS */
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_MASK		(0x00000100)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_MEM_CLK_STATUS_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CLK_STATUS, CR_PVDEC_REG_CLK_STATUS */
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_MASK		(0x00000010)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_SHIFT		(4)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CLK_STATUS_CR_PVDEC_REG_CLK_STATUS_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_OFFSET		(0x0048)

/* PVDEC_CORE, CR_PVDEC_PROC_MONITOR_ENABLE, CR_PROC_IDLE_DETECT_CTRL */
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_MASK		(0x00000004)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_SHIFT		(2)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_DETECT_CTRL_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC_MONITOR_ENABLE, CR_PROC_IDLE_ENABLE */
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_MASK		(0x00000002)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_SHIFT		(1)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_IDLE_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_PROC_MONITOR_ENABLE, CR_PROC_MONITOR_ENABLE */
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_MASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC_MONITOR_ENABLE_CR_PROC_MONITOR_ENABLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_STATUS_0_OFFSET		(0x0050)

/* PVDEC_CORE, CR_PVDEC_STATUS_0, CR_PIXEL_PROCESSING_PIPE_IDLE */
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_DEFAULT		(255)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_PIXEL_PROCESSING_PIPE_IDLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_STATUS_0, CR_ENTROPY_PIPE_IDLE */
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_DEFAULT		(255)
#define PVDEC_CORE_CR_PVDEC_STATUS_0_CR_ENTROPY_PIPE_IDLE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_OFFSET		(0x0060)

/* PVDEC_CORE, CR_PVDEC_HOST_PIPE_SELECT, CR_PVDEC_HOST_PIPE_SELECT */
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_MASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_LENGTH		(4)
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_HOST_PIPE_SELECT_CR_PVDEC_HOST_PIPE_SELECT_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_OFFSET		(0x0064)

/* PVDEC_CORE, CR_PVDEC_PROC_PIPE_SELECT, CR_PVDEC_PROC_PIPE_SELECT */
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_MASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_LENGTH		(4)
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_DEFAULT		(1)
#define PVDEC_CORE_CR_PVDEC_PROC_PIPE_SELECT_CR_PVDEC_PROC_PIPE_SELECT_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_OFFSET		(0x0070)

/* PVDEC_CORE, CR_PVDEC_TIMEOUT_CTRL, CR_PROC_READ_TIMEOUT_SELECT */
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_MASK		(0x000000C0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_SHIFT		(6)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_LENGTH		(2)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_SIGNED_FIELD	(0)

enum PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_READ_TIMEOUT_SELECT_ENUM {
	PVDEC_CORE_CR_PROC_READ_TIMEOUT_SELECT_INDEFINITE = 0x3,
	PVDEC_CORE_CR_PROC_READ_TIMEOUT_SELECT_128K = 0x2,
	PVDEC_CORE_CR_PROC_READ_TIMEOUT_SELECT_16K = 0x1,
	PVDEC_CORE_CR_PROC_READ_TIMEOUT_SELECT_4K = 0x0,
	PVDEC_CORE_CR_PROC_READ_TIMEOUT_SELECT_FORCE32BITS = 0x7FFFFFFFU
};

/* PVDEC_CORE, CR_PVDEC_TIMEOUT_CTRL, CR_HOST_READ_TIMEOUT_SELECT */
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_MASK		(0x00000030)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_SHIFT		(4)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_LENGTH		(2)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_SIGNED_FIELD	(0)

enum PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_READ_TIMEOUT_SELECT_ENUM {
	PVDEC_CORE_CR_HOST_READ_TIMEOUT_SELECT_INDEFINITE = 0x3,
	PVDEC_CORE_CR_HOST_READ_TIMEOUT_SELECT_128K = 0x2,
	PVDEC_CORE_CR_HOST_READ_TIMEOUT_SELECT_16K = 0x1,
	PVDEC_CORE_CR_HOST_READ_TIMEOUT_SELECT_4K = 0x0,
	PVDEC_CORE_CR_HOST_READ_TIMEOUT_SELECT_FORCE32BITS = 0x7FFFFFFFU
};

/* PVDEC_CORE, CR_PVDEC_TIMEOUT_CTRL, CR_PROC_TIMEOUT_SELECT */
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_MASK		(0x0000000C)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_SHIFT		(2)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_LENGTH		(2)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_SIGNED_FIELD	(0)

enum PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_PROC_TIMEOUT_SELECT_ENUM {
	PVDEC_CORE_CR_PROC_TIMEOUT_SELECT_INDEFINITE = 0x3,
	PVDEC_CORE_CR_PROC_TIMEOUT_SELECT_128K = 0x2,
	PVDEC_CORE_CR_PROC_TIMEOUT_SELECT_16K = 0x1,
	PVDEC_CORE_CR_PROC_TIMEOUT_SELECT_4K = 0x0,
	PVDEC_CORE_CR_PROC_TIMEOUT_SELECT_FORCE32BITS = 0x7FFFFFFFU
};

/* PVDEC_CORE, CR_PVDEC_TIMEOUT_CTRL, CR_HOST_TIMEOUT_SELECT */
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_MASK		(0x00000003)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_LENGTH		(2)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_SIGNED_FIELD	(0)

enum PVDEC_CORE_CR_PVDEC_TIMEOUT_CTRL_CR_HOST_TIMEOUT_SELECT_ENUM {
	PVDEC_CORE_CR_HOST_TIMEOUT_SELECT_INDEFINITE = 0x3,
	PVDEC_CORE_CR_HOST_TIMEOUT_SELECT_128K = 0x2,
	PVDEC_CORE_CR_HOST_TIMEOUT_SELECT_16K = 0x1,
	PVDEC_CORE_CR_HOST_TIMEOUT_SELECT_4K = 0x0,
	PVDEC_CORE_CR_HOST_TIMEOUT_SELECT_FORCE32BITS = 0x7FFFFFFFU
};

#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_OFFSET		(0x0080)

/* PVDEC_CORE, CR_SYS_PVDEC_WDT_CONTROL, SYS_WDT_ENABLE */
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_MASK		(0x00010000)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_SHIFT		(16)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_LENGTH		(1)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_DEFAULT		(0)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_ENABLE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_SYS_PVDEC_WDT_CONTROL, SYS_WDT_CLKDIV_SELECT */
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_MASK		(0x00000007)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_SHIFT		(0)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_LENGTH		(3)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_SYS_PVDEC_WDT_CONTROL_SYS_WDT_CLKDIV_SELECT_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_OFFSET		(0x0084)

/* PVDEC_CORE, CR_SYS_PVDEC_WDTIMER, SYS_WDT_COUNTER */
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_MASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_LSBMASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_SHIFT		(0)
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_LENGTH		(32)
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_DEFAULT		(0)
#define PVDEC_CORE_CR_SYS_PVDEC_WDTIMER_SYS_WDT_COUNTER_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_OFFSET		(0x0090)

/* PVDEC_CORE, CR_PVDEC_REQ_PRIORITY, CR_REQ_PRIORITY_DECR */
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_MASK		(0x0FFF0000)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_LSBMASK		(0x00000FFF)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_LENGTH		(12)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_DEFAULT		(600)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_DECR_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_REQ_PRIORITY, CR_REQ_PRIORITY_THRESH */
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_MASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_DEFAULT		(65535)
#define PVDEC_CORE_CR_PVDEC_REQ_PRIORITY_CR_REQ_PRIORITY_THRESH_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PROC_DEBUG_OFFSET		(0x0100)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_MTX_LAST_RAM_SIZE */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_SHIFT		(24)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_LENGTH		(8)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_DEFAULT		(32)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_LAST_RAM_SIZE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_MTX_RAM_BANK_SIZE */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_MASK		(0x000F0000)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_SHIFT		(16)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_LENGTH		(4)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_DEFAULT		(13)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANK_SIZE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_MTX_RAM_BANKS */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_MASK		(0x00000F00)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_SHIFT		(8)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_LENGTH		(4)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_DEFAULT		(4)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_BANKS_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_MTX_RAM_NEW_REPRESENTATION */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_MASK		(0x00000080)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_SHIFT		(7)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_DEFAULT		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_MTX_RAM_NEW_REPRESENTATION_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_PROC_DBG_GPIO_OUT */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_MASK		(0x00000018)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_SHIFT		(3)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_LENGTH		(2)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_OUT_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_PROC_DBG_IS_SLAVE */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_MASK		(0x00000004)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_SHIFT		(2)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_DEFAULT		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_IS_SLAVE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG, CR_PROC_DBG_GPIO_IN */
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_MASK		(0x00000003)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_LSBMASK		(0x00000003)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_SHIFT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_LENGTH		(2)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_CR_PROC_DBG_GPIO_IN_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_OFFSET		(0x0104)

/* PVDEC_CORE, CR_PROC_DMAC_CONTROL, CR_BOOT_ON_DMA_CH0 */
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_MASK		(0x80000000)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_SHIFT		(31)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_BOOT_ON_DMA_CH0_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DMAC_CONTROL, CR_COPRO_ENTROPY_PIPE */
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_MASK		(0x00100000)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_SHIFT		(20)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_ENTROPY_PIPE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DMAC_CONTROL, CR_COPRO_PIPE_SELECT */
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_MASK		(0x00070000)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_SHIFT		(16)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_LENGTH		(3)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DMAC_CONTROL_CR_COPRO_PIPE_SELECT_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_OFFSET		(0x0108)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO, CR_PROC_DEBUG_FIFO */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_MASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_LSBMASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_SHIFT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_LENGTH		(32)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_DEFAULT		(-559038737)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CR_PROC_DEBUG_FIFO_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_OFFSET		(0x010C)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_0, CR_PROC_DEBUG_FIFO_COUNT */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_MASK		(0xFFFF0000)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_SHIFT		(16)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_LENGTH		(16)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_COUNT_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_0, CR_PROC_DEBUG_FIFO_SIZE */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_MASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_SHIFT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_LENGTH		(16)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_0_CR_PROC_DEBUG_FIFO_SIZE_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_OFFSET		(0x0110)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_1, CR_PROC_DEBUG_FIFO_FULL_CTRL */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_MASK		(0x00000100)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_SHIFT		(8)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_CTRL_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_1, CR_PROC_DEBUG_FIFO_FLUSH */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_MASK		(0x00000010)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_SHIFT		(4)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FLUSH_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_1, CR_PROC_DEBUG_FIFO_FULL */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_MASK		(0x00000002)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_SHIFT		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_FULL_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PROC_DEBUG_FIFO_CTRL_1, CR_PROC_DEBUG_FIFO_VALID */
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_MASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_SHIFT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_LENGTH		(1)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_DEFAULT		(0)
#define PVDEC_CORE_CR_PROC_DEBUG_FIFO_CTRL_1_CR_PROC_DEBUG_FIFO_VALID_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_FBC_CONTROL_OFFSET		(0x0180)

/* PVDEC_CORE, CR_FBC_CONTROL, CR_FBC_VDMC_AUTO_INVALIDATE */
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_MASK		(0x00000004)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_SHIFT		(2)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_VDMC_AUTO_INVALIDATE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_CONTROL, CR_FBC_WRITE_ROUNDUP */
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_MASK		(0x00000002)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_SHIFT		(1)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_WRITE_ROUNDUP_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_CONTROL, CR_FBC_BYPASS */
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_MASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_SHIFT		(0)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_CONTROL_CR_FBC_BYPASS_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_FBC_CONTEXT_OFFSET		(0x0184)

/* PVDEC_CORE, CR_FBC_CONTEXT, CR_FBC_PIPE_CONTEXT */
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_MASK		(0xF0000000)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_SHIFT		(28)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_LENGTH		(4)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_SIGNED_FIELD	(0)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_NO_REPS		(8)
#define PVDEC_CORE_CR_FBC_CONTEXT_CR_FBC_PIPE_CONTEXT_SIZE		(4)

#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_OFFSET		(0x0188)

/* PVDEC_CORE, CR_FBC_ICTRL_FBDC, CR_FBC_ICTRL_INVALIDATE_PENDING */
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_MASK		(0x00010000)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_SHIFT		(16)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_PENDING_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_ICTRL_FBDC, CR_FBC_ICTRL_INVALIDATE_REQUESTER */
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_MASK		(0x00000080)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_SHIFT		(7)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_SIGNED_FIELD	(0)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_NO_REPS		(8)
#define PVDEC_CORE_CR_FBC_ICTRL_FBDC_CR_FBC_ICTRL_INVALIDATE_REQUESTER_SIZE		(1)

#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_OFFSET		(0x018C)

/* PVDEC_CORE, CR_FBC_CONSTANT_COLOUR, CR_FBC_FBDC_UV_VAL1 */
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_MASK		(0xFF000000)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_SHIFT		(24)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_LENGTH		(8)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_DEFAULT		(127)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL1_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_CONSTANT_COLOUR, CR_FBC_FBDC_Y_VAL1 */
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_SHIFT		(16)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_LENGTH		(8)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL1_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_CONSTANT_COLOUR, CR_FBC_FBDC_UV_VAL0 */
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_SHIFT		(8)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_LENGTH		(8)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_DEFAULT		(128)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_UV_VAL0_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_CONSTANT_COLOUR, CR_FBC_FBDC_Y_VAL0 */
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_MASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_SHIFT		(0)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_LENGTH		(8)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_DEFAULT		(16)
#define PVDEC_CORE_CR_FBC_CONSTANT_COLOUR_CR_FBC_FBDC_Y_VAL0_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_OFFSET		(0x0190)

/* PVDEC_CORE, CR_FBC_SIGNATURE_CONTROL, CR_FBDC_SIGNATURE_PIPE_INIT */
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_MASK		(0x80000000)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_SHIFT		(31)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_SIGNED_FIELD	(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_NO_REPS		(8)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_PIPE_INIT_SIZE		(1)

/* PVDEC_CORE, CR_FBC_SIGNATURE_CONTROL, CR_FBDC_SIGNATURE_SEL */
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_SHIFT		(16)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_LENGTH		(8)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBDC_SIGNATURE_SEL_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_FBC_SIGNATURE_CONTROL, CR_FBC_SIGNATURE_PIPE_INIT */
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_MASK		(0x00008000)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_LSBMASK		(0x00000001)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_SHIFT		(15)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_LENGTH		(1)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_SIGNED_FIELD	(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_NO_REPS		(8)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_PIPE_INIT_SIZE		(1)

/* PVDEC_CORE, CR_FBC_SIGNATURE_CONTROL, CR_FBC_SIGNATURE_SEL */
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_MASK		(0x0000001F)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_LSBMASK		(0x0000001F)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_SHIFT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_LENGTH		(5)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_CONTROL_CR_FBC_SIGNATURE_SEL_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_OFFSET		(0x0198)

/* PVDEC_CORE, CR_FBC_SIGNATURE_STATUS, CR_FBC_SIGNATURE_STATUS */
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_MASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_LSBMASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_SHIFT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_LENGTH		(32)
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_FBC_SIGNATURE_STATUS_CR_FBC_SIGNATURE_STATUS_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_OFFSET		(0x019C)

/* PVDEC_CORE, CR_FBDC_SIGNATURE_STATUS, CR_FBDC_SIGNATURE_STATUS */
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_MASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_LSBMASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_SHIFT		(0)
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_LENGTH		(32)
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_DEFAULT		(0)
#define PVDEC_CORE_CR_FBDC_SIGNATURE_STATUS_CR_FBDC_SIGNATURE_STATUS_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_INTERNAL_OFFSET		(0x0204)

/* PVDEC_CORE, CR_PVDEC_INTERNAL, CR_PVDEC_INTERNAL_CONFIG */
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_CONFIG_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_INTERNAL, CR_PVDEC_INTERNAL */
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_MASK		(0x00FFFFFF)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_LSBMASK		(0x00FFFFFF)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_LENGTH		(24)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_INTERNAL_CR_PVDEC_INTERNAL_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_OFFSET		(0x0208)

/* PVDEC_CORE, CR_PVDEC_RTM_STATUS, CR_RTM_B_BUS */
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_B_BUS_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_STATUS, CR_RTM_A_BUS */
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_STATUS_CR_RTM_A_BUS_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_OFFSET		(0x020C)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_PIPE_SELECT_B */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_MASK		(0x000F0000)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_LENGTH		(4)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_B_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_PIPE_SELECT_A */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_MASK		(0x0000F000)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_LSBMASK		(0x0000000F)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_SHIFT		(12)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_LENGTH		(4)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_PIPE_SELECT_A_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_SELECT_B_MODULE */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_MASK		(0x00000E00)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_SHIFT		(9)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_LENGTH		(3)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MODULE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_SELECT_A_MODULE */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_MASK		(0x000001C0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_SHIFT		(6)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_LENGTH		(3)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MODULE_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_SELECT_B */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_MASK		(0x00000038)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_SHIFT		(3)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_LENGTH		(3)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_B_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_RTM_SELECT, CR_RTM_SELECT_A */
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_MASK		(0x00000007)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_LSBMASK		(0x00000007)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_LENGTH		(3)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RTM_SELECT_CR_RTM_SELECT_A_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_CORE_ID_OFFSET		(0x0230)

/* PVDEC_CORE, CR_PVDEC_CORE_ID, CR_GROUP_ID */
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_DEFAULT		(3)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_GROUP_ID_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CORE_ID, CR_CORE_ID */
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_DEFAULT		(3)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_CORE_ID_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CORE_ID, CR_PVDEC_CORE_CONFIG */
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_MASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_LSBMASK		(0x0000FFFF)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_LENGTH		(16)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_DEFAULT		(128)
#define PVDEC_CORE_CR_PVDEC_CORE_ID_CR_PVDEC_CORE_CONFIG_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_CORE_REV_OFFSET		(0x0240)

/* PVDEC_CORE, CR_PVDEC_CORE_REV, CR_PVDEC_DESIGNER */
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_MASK		(0xFF000000)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_SHIFT		(24)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_DESIGNER_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CORE_REV, CR_PVDEC_MAJOR_REV */
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_MASK		(0x00FF0000)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_SHIFT		(16)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_DEFAULT		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAJOR_REV_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CORE_REV, CR_PVDEC_MINOR_REV */
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_MASK		(0x0000FF00)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_SHIFT		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MINOR_REV_SIGNED_FIELD	(0)

/* PVDEC_CORE, CR_PVDEC_CORE_REV, CR_PVDEC_MAINT_REV */
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_MASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_LSBMASK		(0x000000FF)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_LENGTH		(8)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_CORE_REV_CR_PVDEC_MAINT_REV_SIGNED_FIELD	(0)

#define PVDEC_CORE_CR_PVDEC_RSVD0_OFFSET		(0x0270)

/* PVDEC_CORE, CR_PVDEC_RSVD0, CR_RSVD0 */
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_MASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_LSBMASK		(0xFFFFFFFF)
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_SHIFT		(0)
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_LENGTH		(32)
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_DEFAULT		(0)
#define PVDEC_CORE_CR_PVDEC_RSVD0_CR_RSVD0_SIGNED_FIELD	(0)

#endif /* _IMG_PVDEC_CORE_REGS_H */
